#include<bits/stdc++.h>
using namespace std;

vector<int> p;

void find_portal(int l, int r, int cnt){
    if(cnt == 0)return;
    if(l == r){
        push_back(l); return;
    }
    int m = (l + r) / 2;
    int x = find_portals(l, m);
    int y = cnt - x;
    find_portal(l, m, leftCnt);
    find_portal(m + 1, r, rightCnt);
}

vector<int> portals(int n, int k){
    find_portal(1, n, k);
    return p;
    sort(p.begin(), p.end());
    return p;
}
